PKG-UPGRADE(8)

NAME
pkg upgrade - performs upgrades of package software distributions

SYNOPSIS
pkg upgrade [-fInFqUy] [-r reponame]

DESCRIPTION
pkg upgrade is used for upgrading of package software distributions.

Currently only one package repository can be used during package upgrades. This is either as defined by the environment variable PACKAGESITE, or when in multi-repos mode, either the default repository or the argument to the -r option.

Soon enough pkg upgrade will be able to perform package upgrades from multiple repositories.

Repository catalogues will automatically be updated using pkg-update(8). This can be disabled with the -U flag.

OPTIONS
The following options are supported by pkg upgrade:

-f  Force reinstalling/upgrading the whole set of packages

-I  If any installation scripts (pre-install or post-install) or deinstallation scripts (pre-deinstall or post-deinstall) exist for a given package, do not execute them.

-L  Backwards compatbility flag for -U. This is planned to be removed.

-n  Dry-run mode: show what packages have updates available, but do not perform any upgrades. Repository catalogues will be updated as usual unless the -U option is also given.

-F  Do not perform installation of packages, merely fetch packages that should be upgraded and detect possible conflicts.

-q  Force quiet output, except when -n is used, where

-U  Skip updating the repository catalogues with pkg-update(8). Use the local cache only. pkg upgrade will always print out the list of packages with available updates.

-y  Assume yes when asked for confirmation before package installation.

ENVIRONMENT
The following environment variables affect the execution of pkg upgrade. See pkg.conf(5) for further description.

ASSUME_ALWAYS_YES

HANDLE_RC_SCRIPTS

PACKAGESITE

PKG_CACHEDIR

PKG_DBDIR

PKG_MULTIREPOS

FILES
See pkg.conf(5).

SEE ALSO
pkg.conf(5), pkg(8), pkg-add(8), pkg-annotate(8), pkg-audit(8), pkg-autoremove(8), pkg-backup(8), pkg-check(8), pkg-clean(8), pkg-convert(8), pkg-create(8), pkg-delete(8), pkg-fetch(8), pkg-info(8), pkg-install(8), pkg-lock(8), pkg-query(8), pkg-register(8), pkg-repo(8), pkg-rquery(8), pkg-search(8), pkg-set(8), pkg-shell(8), pkg-shlib(8), pkg-stats(8), pkg-update(8), pkg-updating(8), pkg-version(8), pkg-which(8)